#!/usr/bin/env bash

set -e

PTTY_PREFIX=/dev/ttyT38-
SOCKET_DIR=/run/t38modem

exec "${PREFIX}/services/t38modem.sh" "$PTTY_PREFIX" &
sleep 5

for i in $(seq "${T38MODEM_MODEM_COUNT}"); do
    PTTY="${PTTY_PREFIX}${i}"
    SOCKET="${SOCKET_DIR}/${i}.sock"
    exec "${PREFIX}/services/socat.sh" "$PTTY" "$SOCKET" &
done

wait
